Tag Parser: TagParser::AvcFrame Struct Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::AvcFrame Struct Reference

The AvcFrame struct holds an AVC frame. More...

`#include <avcinfo.h>`

Collaboration diagram for TagParser::AvcFrame:
[legend]

## Public Member Functions
constexpr | AvcFrame ()

## Public Attributes
std::uint64_t | start
std::uint64_t | end
std::uint64_t | ref1
std::uint64_t | ref2
SliceInfo | sliceInfo
std::uint32_t | presentationOrder
std::uint32_t | decodeOrder
bool | keyframe
bool | hasProvidedTimecode

## Detailed Description

The AvcFrame struct holds an AVC frame.

Remarks
  currently not useful, might be removed

Definition at line 177 of file avcinfo.h.

## Constructor & Destructor Documentation

## ◆ AvcFrame()

TagParser::AvcFrame::AvcFrame | ( |  | ) |
| constexpr

Definition at line 190 of file avcinfo.h.

## Member Data Documentation

## ◆ decodeOrder

std::uint32_t TagParser::AvcFrame::decodeOrder

Definition at line 185 of file avcinfo.h.

## ◆ end

std::uint64_t TagParser::AvcFrame::end

Definition at line 180 of file avcinfo.h.

## ◆ hasProvidedTimecode

bool TagParser::AvcFrame::hasProvidedTimecode

Definition at line 187 of file avcinfo.h.

## ◆ keyframe

bool TagParser::AvcFrame::keyframe

Definition at line 186 of file avcinfo.h.

## ◆ presentationOrder

std::uint32_t TagParser::AvcFrame::presentationOrder

Definition at line 184 of file avcinfo.h.

## ◆ ref1

std::uint64_t TagParser::AvcFrame::ref1

Definition at line 181 of file avcinfo.h.

## ◆ ref2

std::uint64_t TagParser::AvcFrame::ref2

Definition at line 182 of file avcinfo.h.

## ◆ sliceInfo

SliceInfo TagParser::AvcFrame::sliceInfo

Definition at line 183 of file avcinfo.h.

## ◆ start

std::uint64_t TagParser::AvcFrame::start

Definition at line 179 of file avcinfo.h.

The documentation for this struct was generated from the following file:

- avc/avcinfo.h